From 9af1830c7a048612edca8b4165fc4a48329aeae1 Mon Sep 17 00:00:00 2001
From: Egbert Eich <eich@suse.com>
Date: Wed, 11 May 2022 08:36:38 +0200
Subject: [PATCH 08/30] Fix g_slurm_auth_create in _pack_composite_msg

Signed-off-by: Egbert Eich <eich@suse.com>
---
 src/common/slurm_protocol_pack.c | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

diff --git a/src/common/slurm_protocol_pack.c b/src/common/slurm_protocol_pack.c
index 9237870f0d..424c7e619e 100644
--- a/src/common/slurm_protocol_pack.c
+++ b/src/common/slurm_protocol_pack.c
@@ -5149,7 +5149,8 @@ _pack_composite_msg(composite_msg_t *msg, Buf buffer, uint16_t protocol_version)
 				/* FIXME: this should handle the
 				 * _global_auth_key() as well. */
 				tmp_info->auth_cred =
-					g_slurm_auth_create(auth_info);
+				        g_slurm_auth_create(auth_info,
+					tmp_info->restrict_uid, NULL, 0);
 				xfree(auth_info);
 			}
 
-- 
2.35.3


